%define _unpackaged_files_terminate_build 0

%define with_static %{?_with_static: 1} %{?!_with_static: 0}

Name:           dar
Version:        2.7.12
Release:    1%{?dist}
Summary:        Software for making/restoring incremental CD/DVD backups

License:        GPLv2+
URL:            http://dar.linux.free.fr


Source0:	ftp://ftp.dm3c.org/dar.linux.free.fr/Releases/Source_code/%{name}-%{version}.tar.gz
Source1:        README


BuildRequires:  gcc-c++
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  openssl-devel
BuildRequires:  libattr-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:	lzo-devel
BuildRequires:  libargon2-devel
BuildRequires:	libcurl
BuildRequires:	libcurl-devel
BuildRequires:	xz-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	make
Requires:	par2cmdline


%description
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extented attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.


%package -n libdar
Summary:    Library providing support for the DAR API

%description -n libdar
Common library code for DAR.


%package -n libdar-devel
Summary:    Development files for libdar
Requires:   libdar = %{version}-%{release}

%description -n libdar-devel
This package contains the header files and libraries for developing
programs that use the DAR API (libdar).


%if %{with_static}

%package -n dar-static
Summary:    Statically linked version of dar

%description -n dar-static
Statically linked version of dar that can be installed onto backup disks for
easier file retrieval.

%package -n libdar-static-devel
Summary:    Statically linked dar library files

%description -n libdar-static-devel
Statically linked version of dar libraries that can be installed onto backup
disks for easier file retrieval.

%endif


%prep
%autosetup -n %{name}-%{version}


%build
%if %{with_static}
    STATIC=""
%else
    STATIC="--disable-dar-static --disable-static"
%endif

%configure --disable-build-html $STATIC --enable-mode=64

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_libdir}/pkgconfig/
%find_lang %{name}

rm -f  %{buildroot}/%{_libdir}/*.la

rm -rf %{buildroot}/%{_datadir}/dar/

rm -f doc/Makefile*
rm -f doc/*/Makefile*

mv doc html

chmod 0644 html/samples/*

cp -a %{SOURCE1} .





%files -f %{name}.lang
%doc html/ AUTHORS ChangeLog COPYING NEWS README THANKS TODO README

%{_bindir}/dar
%{_bindir}/dar_cp
%{_bindir}/dar_manager
%{_bindir}/dar_slave
%{_bindir}/dar_split
%{_bindir}/dar_xform
%config(noreplace) %{_sysconfdir}/darrc
%{_mandir}/man1/*


%files -n libdar
%{_libdir}/*.so.*


%files -n libdar-devel
%{_includedir}/dar/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%if %{with_static}

%files -n dar-static
%{_bindir}/dar_static


%files -n libdar-static-devel
%{_libdir}/*.a

%endif

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.12-1
- initial build
